import express from "express";
import {
  getApplicationConfig,
  getApplicationFavicon,
  getApplicationIcon,
  getApplicationLogo,
  getApplicationManifest,
  getCalendarItemsByTypes,
} from "../controller/publicController";

var router = express.Router({ mergeParams: true });

router.get("/calendar", async (req, res) => {
  await getCalendarItemsByTypes(req, res);
});

router.post("/reportdamage", async (req, res) => {
  res.send("TODO");
});

router.get("/configuration", async (req, res) => {
  await getApplicationConfig(req, res);
});

router.get("/manifest.webmanifest", async (req, res) => {
  await getApplicationManifest(req, res);
});

router.get("/applogo.png", async (req, res) => {
  await getApplicationLogo(req, res);
});

router.get("/favicon.ico", async (req, res) => {
  await getApplicationFavicon(req, res);
});

router.get("/icon.png", async (req, res) => {
  await getApplicationIcon(req, res);
});

export default router;
